/* ----------------------------------------------------------------------------
 *  Copyright (C) 1995-2002 by Karim Kaschani
 *
 *  This file is part of the function calculation package FuncCalc.
 *
 *  FuncCalc is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  FuncCalc is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ------------------------------------------------------------------------- */

typedef union
#ifdef __cplusplus
	YYSTYPE
#endif
 {
	complex		cval;
	struct symtab	*symp;
} YYSTYPE;
extern YYSTYPE yylval;
# define NAME 257
# define NUMBER 258
# define SRE 259
# define SIM 260
# define RE 261
# define IM 262
# define ABS 263
# define PHI 264
# define SGN 265
# define INT 266
# define FRAC 267
# define ROUND 268
# define EXP 269
# define LN 270
# define LOG 271
# define SQRT 272
# define SIN 273
# define COS 274
# define TAN 275
# define COT 276
# define SINH 277
# define COSH 278
# define TANH 279
# define COTH 280
# define ARCSIN 281
# define ARCCOS 282
# define ARCTAN 283
# define ARCCOT 284
# define ARSINH 285
# define ARCOSH 286
# define ARTANH 287
# define ARCOTH 288
# define ERF 289
# define ERFC 290
# define FACT 291
# define UMINUS 292
